hval=[1,5,10,15,20,25,30,35];
j=0;
for h=hval
    j=j+1;
 %s = RandStream('mcg16807','Seed',0);
 s = RandStream('mcg16807','Seed',1);
 RandStream.setDefaultStream(s);
 for i=1:10
    [mse, num_e, best_e] = anncbr_test(strcat('cmp',int2str(i)),strcat('cmp',int2str(i),'.t'),h);
    results(i,j)=mse;
    num_epochs(i,j)=num_e;
    best_epoch(i,j)=best_e;
 end
end
num_epochs
avg_epochs=mean(num_epochs)
avg_best=mean(best_epoch)
avg_mse=mean(results);

plot(hval,avg_epochs,'DisplayName','Average number of epochs');
hold on;
plot(hval,avg_best,'LineStyle','-.','DisplayName','Average best epoch');
plot(hval,avg_mse,'LineStyle',':','DisplayName','Average MSE');
xlabel('h - middle layer neurons');
legend show;

dlmwrite('results',results);
dlmwrite('num_epochs',num_epochs);
dlmwrite('best_epoch',best_epoch);
dlmwrite('averages', avg_epochs);
dlmwrite('averages', avg_best, '-append');